Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.filters
Class NodeClassFilter

    java.lang.Object
      org.htmlparser.filters.NodeClassFilter

All Implemented Interfaces:
  Serializable, Cloneable, NodeFilter

    public class NodeClassFilter

extends Object
implements NodeFilter

This class accepts all tags of a given class.

See Also:
  Serialized Form

Field Summary
`protected Class` | `mClass` The class to match.

Constructor Summary
`NodeClassFilter()` Creates a NodeClassFilter that accepts Html tags.
`NodeClassFilter(Class cls)` Creates a NodeClassFilter that accepts tags of the given class.

Method Summary
`boolean` | `accept(Node node)` Accept nodes that are assignable from the class provided in the constructor.
`Class` | `getMatchClass()` Get the class to match.
`void` | `setMatchClass(Class cls)` Set the class to match.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mClass

    protected Class mClass

  The class to match.

Constructor Detail

### NodeClassFilter

    public NodeClassFilter()

  Creates a NodeClassFilter that accepts Html tags.

### NodeClassFilter

    public NodeClassFilter(Class cls)

  Creates a NodeClassFilter that accepts tags of the given class.

  Parameters:
    `cls` - The class to match.

Method Detail

### getMatchClass

    public Class getMatchClass()

  Get the class to match.

  Returns:
    Returns the class.

### setMatchClass

    public void setMatchClass(Class cls)

  Set the class to match.

  Parameters:
    `cls` - The node class to match.

### accept

    public boolean accept(Node node)

  Accept nodes that are assignable from the class provided in the constructor.

  Specified by:
    `accept` in interface `NodeFilter`
  Parameters:
    `node` - The node to check.
  Returns:
    `true` if the node is the right class, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |